% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tools.R
\name{set_pb}
\alias{set_pb}
\alias{add_pb}
\title{Set and update progress bars}
\usage{
set_pb(.max)

add_pb(.pb, .value = 1)
}
\arguments{
\item{.max}{Integer. Maximal value of the progress bar.}

\item{.pb}{Progress bar object from \code{set_pb}.}

\item{.value}{Numeric. Value to add to the progress bar at each step.}
}
\value{
An updated progress bar.
}
\description{
Set and update progress bars
}
\examples{
pb <- immunarch:::set_pb(100)
immunarch:::add_pb(pb, 25)
immunarch:::add_pb(pb, 25)
immunarch:::add_pb(pb, 25)
immunarch:::add_pb(pb, 25)
close(pb)
}
\concept{utility_private}
